import type { NobjcObject } from "objc-js";
export declare function IOUSBGetBillboardDescriptor(bosDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetConfigurationMaxPowerMilliAmps(usbDeviceSpeed: number, descriptor: NobjcObject): number;
export declare function IOUSBGetContainerIDDescriptor(bosDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetEndpointAddress(descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointBurstSize(usbDeviceSpeed: number, descriptor: NobjcObject, companionDescriptor: NobjcObject, sspCompanionDescriptor: NobjcObject): number;
export declare function IOUSBGetEndpointDirection(descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointIntervalEncodedMicroframes(usbDeviceSpeed: number, descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointIntervalFrames(usbDeviceSpeed: number, descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointIntervalMicroframes(usbDeviceSpeed: number, descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointMaxPacketSize(usbDeviceSpeed: number, descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointMaxStreams(usbDeviceSpeed: number, descriptor: NobjcObject, companionDescriptor: NobjcObject): number;
export declare function IOUSBGetEndpointMaxStreamsEncoded(usbDeviceSpeed: number, descriptor: NobjcObject, companionDescriptor: NobjcObject): number;
export declare function IOUSBGetEndpointMult(usbDeviceSpeed: number, descriptor: NobjcObject, companionDescriptor: NobjcObject, sspCompanionDescriptor: NobjcObject): number;
export declare function IOUSBGetEndpointNumber(descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointSynchronizationType(descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointType(descriptor: NobjcObject): number;
export declare function IOUSBGetEndpointUsageType(descriptor: NobjcObject): number;
export declare function IOUSBGetNextAssociatedDescriptor(configurationDescriptor: NobjcObject, parentDescriptor: NobjcObject, currentDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetNextAssociatedDescriptorWithType(configurationDescriptor: NobjcObject, parentDescriptor: NobjcObject, currentDescriptor: NobjcObject, type: NobjcObject): NobjcObject;
export declare function IOUSBGetNextCapabilityDescriptor(bosDescriptor: NobjcObject, currentDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetNextCapabilityDescriptorWithType(bosDescriptor: NobjcObject, currentDescriptor: NobjcObject, type: NobjcObject): NobjcObject;
export declare function IOUSBGetNextDescriptor(configurationDescriptor: NobjcObject, currentDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetNextDescriptorWithType(configurationDescriptor: NobjcObject, currentDescriptor: NobjcObject, type: NobjcObject): NobjcObject;
export declare function IOUSBGetNextEndpointDescriptor(configurationDescriptor: NobjcObject, interfaceDescriptor: NobjcObject, currentDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetNextInterfaceAssociationDescriptor(configurationDescriptor: NobjcObject, currentDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetNextInterfaceDescriptor(configurationDescriptor: NobjcObject, currentDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetPlatformCapabilityDescriptor(bosDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetPlatformCapabilityDescriptorWithUUID(bosDescriptor: NobjcObject, uuid: string): NobjcObject;
export declare function IOUSBGetSuperSpeedDeviceCapabilityDescriptor(bosDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetSuperSpeedPlusDeviceCapabilityDescriptor(bosDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBGetUSB20ExtensionDeviceCapabilityDescriptor(bosDescriptor: NobjcObject): NobjcObject;
export declare function IOUSBHostCIControllerStateToString(controllerState: NobjcObject): string;
export declare function IOUSBHostCIDeviceSpeedToString(speed: NobjcObject): string;
export declare function IOUSBHostCIDeviceStateToString(deviceState: NobjcObject): string;
export declare function IOUSBHostCIEndpointStateToString(endpointState: NobjcObject): string;
export declare function IOUSBHostCIExceptionTypeToString(exceptionType: NobjcObject): string;
export declare function IOUSBHostCILinkStateEnabled(linkState: NobjcObject): boolean;
export declare function IOUSBHostCILinkStateToString(linkState: NobjcObject): string;
export declare function IOUSBHostCIMessageStatusFromIOReturn(status: number): NobjcObject;
export declare function IOUSBHostCIMessageStatusToIOReturn(status: NobjcObject): number;
export declare function IOUSBHostCIMessageStatusToString(status: NobjcObject): string;
export declare function IOUSBHostCIMessageTypeToString(type: NobjcObject): string;
export declare function IOUSBHostCIPortStateToString(portState: NobjcObject): string;
